> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update merchant record

> Updates merchant record



## OpenAPI

````yaml patch /v1/merchants
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/merchants:
    patch:
      tags:
        - Merchants
      summary: Update merchant record
      description: Updates merchant record
      operationId: update-merchant
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                callbackUrl:
                  type: string
                  description: Merchant callback URL. Webhook will be sent to this URL.
                  example: https://www.example.com/webhook/ventogram
                logo:
                  type: string
                  description: Merchant logo URL
                  example: https://www.example.com/favicon
                feeBearer:
                  type: string
                  description: Bearer of the voucher fee
                  enum:
                    - client
                    - merchant
                  example: client
                creditCurrency:
                  type: string
                  enum:
                    - NGN
                    - USD
                    - ''
                  description: >-
                    Merchants can set this property to their desired currency.
                    Their balance on Ventogram will be credited with this
                    currency when their users redeem voucher created on
                    Ventogram. Conversion between different currencies will be
                    performed at the rate which is obtainable at the time of
                    redeeming the voucher. If this is not set by the merchant, 
                    their balance will be credited with the currency used in
                    creating the voucher.
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      username:
                        type: string
                      callbackUrl:
                        type: string
                      logo:
                        type: string
                      creditCurrency:
                        type: string
                        enum:
                          - NGN
                          - USD
                      feeBearer:
                        type: string
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````